Show / Hide Table of Contents

# Class OpenIddictAuthorizationStoreResolver

Exposes a method allowing to resolve an authorization store.

##### Inheritance

System.Object
OpenIddictAuthorizationStoreResolver

###### Namespace: OpenIddict.Core

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictAuthorizationStoreResolver : IOpenIddictAuthorizationStoreResolver

### Constructors

#### OpenIddictAuthorizationStoreResolver(IServiceProvider)

##### Declaration

    public OpenIddictAuthorizationStoreResolver(IServiceProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IServiceProvider | provider |

### Methods

#### Get<TAuthorization>()

Returns an authorization store compatible with the specified authorization type or throws an System.InvalidOperationException if no store can be built using the specified type.

##### Declaration

    public IOpenIddictAuthorizationStore<TAuthorization> Get<TAuthorization>()
        where TAuthorization : class

##### Returns

Type | Description
--- | ---
IOpenIddictAuthorizationStore<TAuthorization> | An .

##### Type Parameters

Name | Description
--- | ---
TAuthorization | The type of the Authorization entity.